Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.data
Class DatasetRef

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.pf.registry.ItemReference<Dataset>
              de.grogra.pf.data.DatasetRef

All Implemented Interfaces:
  Manageable, Shareable

    public final class DatasetRef

extends ItemReference<Dataset>

Nested Class Summary
`static class` | `DatasetRef.Type`

Field Summary
`static DatasetRef.Type` | `$TYPE`

Fields inherited from class de.grogra.pf.registry.ItemReference
`item, itemResolved, name$FIELD, object, objectResolved`

Constructor Summary
`DatasetRef(java.lang.String name)`

Method Summary
`Dataseries` | `addColumn()`
`Dataseries` | `addColumn(java.lang.Comparable key)`
`Dataseries` | `addRow()`
`Dataseries` | `addRow(java.lang.Comparable key)`
`Dataset` | `clear()`
`protected Item` | `createItem(RegistryContext ctx, java.lang.String dir, java.lang.String name)`
`Dataseries` | `getColumn(int column)`
`ManageableType` | `getManageableType()`
`Dataseries` | `getRow(int row)`
`Dataseries` | `operator$shl(java.lang.Number v)`
`Dataset` | `resolve()`
`Dataset` | `setColumnKey(int item, java.lang.Comparable key)`
`Dataset` | `setColumnLabel(java.lang.String s)`
`Dataset` | `setHistogramBins(int col, double min, double max, int count)`
`Dataset` | `setRowKey(int item, java.lang.Comparable key)`
`Dataset` | `setRowLabel(java.lang.String s)`
`Dataset` | `setSeriesInRows(boolean value)`
`Dataset` | `setTitle(java.lang.String s)`
`Dataset` | `toDataset()`

Methods inherited from class de.grogra.pf.registry.ItemReference
`equals, getName, hashCode, resolveItem, resolveObject`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final DatasetRef.Type $TYPE

Constructor Detail

### DatasetRef

    public DatasetRef(java.lang.String name)

Method Detail

### addColumn

    public Dataseries addColumn()

### addColumn

    public Dataseries addColumn(java.lang.Comparable key)

### addRow

    public Dataseries addRow()

### addRow

    public Dataseries addRow(java.lang.Comparable key)

### clear

    public Dataset clear()

### createItem

    protected Item createItem(RegistryContext ctx,
                              java.lang.String dir,
                              java.lang.String name)

  Overrides:
    `createItem` in class `ItemReference<Dataset>`

### getColumn

    public Dataseries getColumn(int column)

### getManageableType

    public ManageableType getManageableType()

### getRow

    public Dataseries getRow(int row)

### operator$shl

    public Dataseries operator$shl(java.lang.Number v)

### resolve

    public Dataset resolve()

### setColumnKey

    public Dataset setColumnKey(int item,
                                java.lang.Comparable key)

### setColumnLabel

    public Dataset setColumnLabel(java.lang.String s)

### setHistogramBins

    public Dataset setHistogramBins(int col,
                                    double min,
                                    double max,
                                    int count)

### setRowKey

    public Dataset setRowKey(int item,
                             java.lang.Comparable key)

### setRowLabel

    public Dataset setRowLabel(java.lang.String s)

### setSeriesInRows

    public Dataset setSeriesInRows(boolean value)

### setTitle

    public Dataset setTitle(java.lang.String s)

### toDataset

    public Dataset toDataset()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD